org.wso2.carbon.module.mgt.stub

## Class ModuleAdminServiceModuleMgtExceptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.module.mgt.stub.ModuleAdminServiceModuleMgtExceptionException

- All Implemented Interfaces:
    Serializable

      public class ModuleAdminServiceModuleMgtExceptionException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleAdminServiceModuleMgtExceptionException()`
    `ModuleAdminServiceModuleMgtExceptionException(String s)`
    `ModuleAdminServiceModuleMgtExceptionException(String s, Throwable ex)`
    `ModuleAdminServiceModuleMgtExceptionException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModuleAdminServiceModuleMgtException` | `getFaultMessage()`
    `void` | `setFaultMessage(ModuleAdminServiceModuleMgtException msg)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleAdminServiceModuleMgtExceptionException

          public ModuleAdminServiceModuleMgtExceptionException()

    - #### ModuleAdminServiceModuleMgtExceptionException

          public ModuleAdminServiceModuleMgtExceptionException(String s)

    - #### ModuleAdminServiceModuleMgtExceptionException

          public ModuleAdminServiceModuleMgtExceptionException(String s,
                                                               Throwable ex)

    - #### ModuleAdminServiceModuleMgtExceptionException

          public ModuleAdminServiceModuleMgtExceptionException(Throwable cause)

  - ### Method Detail

    - #### setFaultMessage

          public void setFaultMessage(ModuleAdminServiceModuleMgtException msg)

    - #### getFaultMessage

          public ModuleAdminServiceModuleMgtException getFaultMessage()

Copyright © 2019 WSO2. All rights reserved.